Bug 1463325 - [RFE] Request for the Subscription manager to display the hostname it is registering as part of its output
Summary: [RFE] Request for the Subscription manager to display the hostname it is regi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: pre-dev-freeze
: ---
Assignee: Kevin Howell
QA Contact: John Sefler
Filip Hanzelka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-20 15:09 UTC by Prathamesh Chavan
Modified: 2018-04-10 09:50 UTC (History)
10 users (show)

Fixed In Version: subscription-manager-1.20.2-1
Doc Type: Release Note
Doc Text:
*subscription-manager* now displays the host name upon registration Until now, the user needed to search for the effective host name for a given system, which is determined by different Satellite settings. With this update, the *subscription-manager* utility displays the host name upon the registration of the system.
Clone Of:
Environment:
Last Closed: 2018-04-10 09:49:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0681 None None None 2018-04-10 09:50:47 UTC
Github candlepin subscription-manager pull 1659 None None None 2017-06-21 21:25:27 UTC

Description Prathamesh Chavan 2017-06-20 15:09:31 UTC
1. Proposed title of this feature request
Subscription manager display the hostname it is registering as part of its output



2. Who is the customer behind the request?
Account name : Nasa - Msfc
Account # : 1086728


TAM customer: No


SRM customer: No


Strategic: Yes




3. What is the nature and description of the request?
Currently subscription manager will register a host with an overrid'ed hostname contained in the /etc/rhsm/facts/katello.facts without the users knowledge. 
The customer is requesting that the Subscription Manager display the hostname it is registering as part of its output.



4. Why does the customer need this? (List the business requirements here)
It becomes easy to manage the systems.



5. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No



6. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
There is no emergency as such. It should be available in all versions.



9. Is the sales team involved in this request and do they have any additional input?
The Sales Team is not involved.



10. List any affected packages or components.
subscription-manager, subscription-manager-gui



11. Would the customer be able to assist in testing this functionality if implemented?
Yes

Comment 2 Kevin Howell 2017-06-28 18:29:17 UTC
Moving to RHEL since that's where subscription-manager packages are released.

Comment 4 Prathamesh Chavan 2017-08-16 08:37:06 UTC
Hello,

It would be great if you could share the status of this bug.

Thanks!

Regards,
Prathamesh

Comment 9 Rehana 2017-11-10 09:15:12 UTC
Verifying on RHEL75 with following build:
=======================================
subscription-manager-rhsm-certificates-1.20.5-1.el7.x86_64
subscription-manager-gui-1.20.5-1.el7.x86_64
subscription-manager-rhsm-1.20.5-1.el7.x86_64
subscription-manager-1.20.5-1.el7.x86_64
subscription-manager-initial-setup-addon-1.20.5-1.el7.x86_64
subscription-manager-plugin-container-1.20.5-1.el7.x86_64

1) Verifying the system's hostname is used to report "The registered system name"

[root@dhcp35-157 ~]# hostname --fqdn
dhcp35-157.lab.eng.blr.redhat.com


[root@dhcp35-157 ~]# subscription-manager register 
Registering to: F21-candlepin.usersys.redhat.com:8443/candlepin
Username: admin
Password: 
Organization: admin
The system has been registered with ID: 5cec7b0d-ba5d-4b9e-9cf9-4e9924f2a6f2
The registered system name is: dhcp35-157.lab.eng.blr.redhat.com

^^ observed that hostname matches "the registered system name "

2) Verifying that even with overrid'ed hostname facts value, subscription-manager register continues to use the system hostname 


[root@dhcp35-157 ~]# cat /etc/rhsm/facts/hostname.facts
{"network.hostname":"testing-an-overridden-hostname-fact.redhat.com"}

[root@dhcp35-157 ~]# subscription-manager facts --list | grep hostname
network.hostname: testing-an-overridden-hostname-fact.redhat.com

[root@dhcp35-157 ~]# hostname
dhcp35-157.lab.eng.blr.redhat.com

[root@dhcp35-157 ~]# subscription-manager register --username=admin --password=admin --org=admin
Registering to: F21-candlepin.usersys.redhat.com:8443/candlepin
The system has been registered with ID: 5966712c-c04d-4df0-8a66-59825d0d502f
The registered system name is: dhcp35-157.lab.eng.blr.redhat.com

^^ observed that hostname continues to match "the registered system name "

3)Verify that when "--name" value given during registration , the provided name will be written to the terminal instead of hostname

[root@dhcp35-157 ~]# subscription-manager register --username=admin --password=admin --org=admin --name=Verify1463325
Registering to: F21-candlepin.usersys.redhat.com:8443/candlepin
The system has been registered with ID: 170f57d9-855c-4d78-bd00-f683bc8f6e7c
The registered system name is: Verify1463325 --> matches the value provided in the register command 

[root@dhcp35-157 ~]# hostname
dhcp35-157.lab.eng.blr.redhat.com

Based on the above observations , marking the bug as "Verified"

Comment 15 errata-xmlrpc 2018-04-10 09:49:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0681


Note You need to log in before you can comment on or make changes to this bug.